Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network250.48.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
250.48.0.0
Broadcast address
250.63.255.255
First usable
250.48.0.1
Last usable
250.63.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex FA300000 · Integer 4197449728 to 4198498303
Reverse DNS zones
48.250.in-addr.arpa
49.250.in-addr.arpa
50.250.in-addr.arpa
51.250.in-addr.arpa
52.250.in-addr.arpa
53.250.in-addr.arpa
54.250.in-addr.arpa
55.250.in-addr.arpa
56.250.in-addr.arpa
57.250.in-addr.arpa
58.250.in-addr.arpa
59.250.in-addr.arpa
60.250.in-addr.arpa
61.250.in-addr.arpa
62.250.in-addr.arpa
63.250.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111010.00110000.00000000.00000000250.48.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network11111010.00110000.00000000.00000000250.48.0.0
Broadcast11111010.00111111.11111111.11111111250.63.255.255
Split into smaller subnets/23

250.48.0.0/12 makes 2,048 subnets of /23; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1250.48.0.0/23250.48.0.1 to 250.48.1.254250.48.1.255510
2250.48.2.0/23250.48.2.1 to 250.48.3.254250.48.3.255510
3250.48.4.0/23250.48.4.1 to 250.48.5.254250.48.5.255510
4250.48.6.0/23250.48.6.1 to 250.48.7.254250.48.7.255510
5250.48.8.0/23250.48.8.1 to 250.48.9.254250.48.9.255510
6250.48.10.0/23250.48.10.1 to 250.48.11.254250.48.11.255510
7250.48.12.0/23250.48.12.1 to 250.48.13.254250.48.13.255510
8250.48.14.0/23250.48.14.1 to 250.48.15.254250.48.15.255510
9250.48.16.0/23250.48.16.1 to 250.48.17.254250.48.17.255510
10250.48.18.0/23250.48.18.1 to 250.48.19.254250.48.19.255510
11250.48.20.0/23250.48.20.1 to 250.48.21.254250.48.21.255510
12250.48.22.0/23250.48.22.1 to 250.48.23.254250.48.23.255510
13250.48.24.0/23250.48.24.1 to 250.48.25.254250.48.25.255510
14250.48.26.0/23250.48.26.1 to 250.48.27.254250.48.27.255510
15250.48.28.0/23250.48.28.1 to 250.48.29.254250.48.29.255510
16250.48.30.0/23250.48.30.1 to 250.48.31.254250.48.31.255510
17250.48.32.0/23250.48.32.1 to 250.48.33.254250.48.33.255510
18250.48.34.0/23250.48.34.1 to 250.48.35.254250.48.35.255510
19250.48.36.0/23250.48.36.1 to 250.48.37.254250.48.37.255510
20250.48.38.0/23250.48.38.1 to 250.48.39.254250.48.39.255510
21250.48.40.0/23250.48.40.1 to 250.48.41.254250.48.41.255510
22250.48.42.0/23250.48.42.1 to 250.48.43.254250.48.43.255510
23250.48.44.0/23250.48.44.1 to 250.48.45.254250.48.45.255510
24250.48.46.0/23250.48.46.1 to 250.48.47.254250.48.47.255510
25250.48.48.0/23250.48.48.1 to 250.48.49.254250.48.49.255510
26250.48.50.0/23250.48.50.1 to 250.48.51.254250.48.51.255510
27250.48.52.0/23250.48.52.1 to 250.48.53.254250.48.53.255510
28250.48.54.0/23250.48.54.1 to 250.48.55.254250.48.55.255510
29250.48.56.0/23250.48.56.1 to 250.48.57.254250.48.57.255510
30250.48.58.0/23250.48.58.1 to 250.48.59.254250.48.59.255510
31250.48.60.0/23250.48.60.1 to 250.48.61.254250.48.61.255510
32250.48.62.0/23250.48.62.1 to 250.48.63.254250.48.63.255510
33250.48.64.0/23250.48.64.1 to 250.48.65.254250.48.65.255510
34250.48.66.0/23250.48.66.1 to 250.48.67.254250.48.67.255510
35250.48.68.0/23250.48.68.1 to 250.48.69.254250.48.69.255510
36250.48.70.0/23250.48.70.1 to 250.48.71.254250.48.71.255510
37250.48.72.0/23250.48.72.1 to 250.48.73.254250.48.73.255510
38250.48.74.0/23250.48.74.1 to 250.48.75.254250.48.75.255510
39250.48.76.0/23250.48.76.1 to 250.48.77.254250.48.77.255510
40250.48.78.0/23250.48.78.1 to 250.48.79.254250.48.79.255510
41250.48.80.0/23250.48.80.1 to 250.48.81.254250.48.81.255510
42250.48.82.0/23250.48.82.1 to 250.48.83.254250.48.83.255510
43250.48.84.0/23250.48.84.1 to 250.48.85.254250.48.85.255510
44250.48.86.0/23250.48.86.1 to 250.48.87.254250.48.87.255510
45250.48.88.0/23250.48.88.1 to 250.48.89.254250.48.89.255510
46250.48.90.0/23250.48.90.1 to 250.48.91.254250.48.91.255510
47250.48.92.0/23250.48.92.1 to 250.48.93.254250.48.93.255510
48250.48.94.0/23250.48.94.1 to 250.48.95.254250.48.95.255510
49250.48.96.0/23250.48.96.1 to 250.48.97.254250.48.97.255510
50250.48.98.0/23250.48.98.1 to 250.48.99.254250.48.99.255510
51250.48.100.0/23250.48.100.1 to 250.48.101.254250.48.101.255510
52250.48.102.0/23250.48.102.1 to 250.48.103.254250.48.103.255510
53250.48.104.0/23250.48.104.1 to 250.48.105.254250.48.105.255510
54250.48.106.0/23250.48.106.1 to 250.48.107.254250.48.107.255510
55250.48.108.0/23250.48.108.1 to 250.48.109.254250.48.109.255510
56250.48.110.0/23250.48.110.1 to 250.48.111.254250.48.111.255510
57250.48.112.0/23250.48.112.1 to 250.48.113.254250.48.113.255510
58250.48.114.0/23250.48.114.1 to 250.48.115.254250.48.115.255510
59250.48.116.0/23250.48.116.1 to 250.48.117.254250.48.117.255510
60250.48.118.0/23250.48.118.1 to 250.48.119.254250.48.119.255510
61250.48.120.0/23250.48.120.1 to 250.48.121.254250.48.121.255510
62250.48.122.0/23250.48.122.1 to 250.48.123.254250.48.123.255510
63250.48.124.0/23250.48.124.1 to 250.48.125.254250.48.125.255510
64250.48.126.0/23250.48.126.1 to 250.48.127.254250.48.127.255510
65250.48.128.0/23250.48.128.1 to 250.48.129.254250.48.129.255510
66250.48.130.0/23250.48.130.1 to 250.48.131.254250.48.131.255510
67250.48.132.0/23250.48.132.1 to 250.48.133.254250.48.133.255510
68250.48.134.0/23250.48.134.1 to 250.48.135.254250.48.135.255510
69250.48.136.0/23250.48.136.1 to 250.48.137.254250.48.137.255510
70250.48.138.0/23250.48.138.1 to 250.48.139.254250.48.139.255510
71250.48.140.0/23250.48.140.1 to 250.48.141.254250.48.141.255510
72250.48.142.0/23250.48.142.1 to 250.48.143.254250.48.143.255510
73250.48.144.0/23250.48.144.1 to 250.48.145.254250.48.145.255510
74250.48.146.0/23250.48.146.1 to 250.48.147.254250.48.147.255510
75250.48.148.0/23250.48.148.1 to 250.48.149.254250.48.149.255510
76250.48.150.0/23250.48.150.1 to 250.48.151.254250.48.151.255510
77250.48.152.0/23250.48.152.1 to 250.48.153.254250.48.153.255510
78250.48.154.0/23250.48.154.1 to 250.48.155.254250.48.155.255510
79250.48.156.0/23250.48.156.1 to 250.48.157.254250.48.157.255510
80250.48.158.0/23250.48.158.1 to 250.48.159.254250.48.159.255510
81250.48.160.0/23250.48.160.1 to 250.48.161.254250.48.161.255510
82250.48.162.0/23250.48.162.1 to 250.48.163.254250.48.163.255510
83250.48.164.0/23250.48.164.1 to 250.48.165.254250.48.165.255510
84250.48.166.0/23250.48.166.1 to 250.48.167.254250.48.167.255510
85250.48.168.0/23250.48.168.1 to 250.48.169.254250.48.169.255510
86250.48.170.0/23250.48.170.1 to 250.48.171.254250.48.171.255510
87250.48.172.0/23250.48.172.1 to 250.48.173.254250.48.173.255510
88250.48.174.0/23250.48.174.1 to 250.48.175.254250.48.175.255510
89250.48.176.0/23250.48.176.1 to 250.48.177.254250.48.177.255510
90250.48.178.0/23250.48.178.1 to 250.48.179.254250.48.179.255510
91250.48.180.0/23250.48.180.1 to 250.48.181.254250.48.181.255510
92250.48.182.0/23250.48.182.1 to 250.48.183.254250.48.183.255510
93250.48.184.0/23250.48.184.1 to 250.48.185.254250.48.185.255510
94250.48.186.0/23250.48.186.1 to 250.48.187.254250.48.187.255510
95250.48.188.0/23250.48.188.1 to 250.48.189.254250.48.189.255510
96250.48.190.0/23250.48.190.1 to 250.48.191.254250.48.191.255510
97250.48.192.0/23250.48.192.1 to 250.48.193.254250.48.193.255510
98250.48.194.0/23250.48.194.1 to 250.48.195.254250.48.195.255510
99250.48.196.0/23250.48.196.1 to 250.48.197.254250.48.197.255510
100250.48.198.0/23250.48.198.1 to 250.48.199.254250.48.199.255510
101250.48.200.0/23250.48.200.1 to 250.48.201.254250.48.201.255510
102250.48.202.0/23250.48.202.1 to 250.48.203.254250.48.203.255510
103250.48.204.0/23250.48.204.1 to 250.48.205.254250.48.205.255510
104250.48.206.0/23250.48.206.1 to 250.48.207.254250.48.207.255510
105250.48.208.0/23250.48.208.1 to 250.48.209.254250.48.209.255510
106250.48.210.0/23250.48.210.1 to 250.48.211.254250.48.211.255510
107250.48.212.0/23250.48.212.1 to 250.48.213.254250.48.213.255510
108250.48.214.0/23250.48.214.1 to 250.48.215.254250.48.215.255510
109250.48.216.0/23250.48.216.1 to 250.48.217.254250.48.217.255510
110250.48.218.0/23250.48.218.1 to 250.48.219.254250.48.219.255510
111250.48.220.0/23250.48.220.1 to 250.48.221.254250.48.221.255510
112250.48.222.0/23250.48.222.1 to 250.48.223.254250.48.223.255510
113250.48.224.0/23250.48.224.1 to 250.48.225.254250.48.225.255510
114250.48.226.0/23250.48.226.1 to 250.48.227.254250.48.227.255510
115250.48.228.0/23250.48.228.1 to 250.48.229.254250.48.229.255510
116250.48.230.0/23250.48.230.1 to 250.48.231.254250.48.231.255510
117250.48.232.0/23250.48.232.1 to 250.48.233.254250.48.233.255510
118250.48.234.0/23250.48.234.1 to 250.48.235.254250.48.235.255510
119250.48.236.0/23250.48.236.1 to 250.48.237.254250.48.237.255510
120250.48.238.0/23250.48.238.1 to 250.48.239.254250.48.239.255510
121250.48.240.0/23250.48.240.1 to 250.48.241.254250.48.241.255510
122250.48.242.0/23250.48.242.1 to 250.48.243.254250.48.243.255510
123250.48.244.0/23250.48.244.1 to 250.48.245.254250.48.245.255510
124250.48.246.0/23250.48.246.1 to 250.48.247.254250.48.247.255510
125250.48.248.0/23250.48.248.1 to 250.48.249.254250.48.249.255510
126250.48.250.0/23250.48.250.1 to 250.48.251.254250.48.251.255510
127250.48.252.0/23250.48.252.1 to 250.48.253.254250.48.253.255510
128250.48.254.0/23250.48.254.1 to 250.48.255.254250.48.255.255510
129250.49.0.0/23250.49.0.1 to 250.49.1.254250.49.1.255510
130250.49.2.0/23250.49.2.1 to 250.49.3.254250.49.3.255510
131250.49.4.0/23250.49.4.1 to 250.49.5.254250.49.5.255510
132250.49.6.0/23250.49.6.1 to 250.49.7.254250.49.7.255510
133250.49.8.0/23250.49.8.1 to 250.49.9.254250.49.9.255510
134250.49.10.0/23250.49.10.1 to 250.49.11.254250.49.11.255510
135250.49.12.0/23250.49.12.1 to 250.49.13.254250.49.13.255510
136250.49.14.0/23250.49.14.1 to 250.49.15.254250.49.15.255510
137250.49.16.0/23250.49.16.1 to 250.49.17.254250.49.17.255510
138250.49.18.0/23250.49.18.1 to 250.49.19.254250.49.19.255510
139250.49.20.0/23250.49.20.1 to 250.49.21.254250.49.21.255510
140250.49.22.0/23250.49.22.1 to 250.49.23.254250.49.23.255510
141250.49.24.0/23250.49.24.1 to 250.49.25.254250.49.25.255510
142250.49.26.0/23250.49.26.1 to 250.49.27.254250.49.27.255510
143250.49.28.0/23250.49.28.1 to 250.49.29.254250.49.29.255510
144250.49.30.0/23250.49.30.1 to 250.49.31.254250.49.31.255510
145250.49.32.0/23250.49.32.1 to 250.49.33.254250.49.33.255510
146250.49.34.0/23250.49.34.1 to 250.49.35.254250.49.35.255510
147250.49.36.0/23250.49.36.1 to 250.49.37.254250.49.37.255510
148250.49.38.0/23250.49.38.1 to 250.49.39.254250.49.39.255510
149250.49.40.0/23250.49.40.1 to 250.49.41.254250.49.41.255510
150250.49.42.0/23250.49.42.1 to 250.49.43.254250.49.43.255510
151250.49.44.0/23250.49.44.1 to 250.49.45.254250.49.45.255510
152250.49.46.0/23250.49.46.1 to 250.49.47.254250.49.47.255510
153250.49.48.0/23250.49.48.1 to 250.49.49.254250.49.49.255510
154250.49.50.0/23250.49.50.1 to 250.49.51.254250.49.51.255510
155250.49.52.0/23250.49.52.1 to 250.49.53.254250.49.53.255510
156250.49.54.0/23250.49.54.1 to 250.49.55.254250.49.55.255510
157250.49.56.0/23250.49.56.1 to 250.49.57.254250.49.57.255510
158250.49.58.0/23250.49.58.1 to 250.49.59.254250.49.59.255510
159250.49.60.0/23250.49.60.1 to 250.49.61.254250.49.61.255510
160250.49.62.0/23250.49.62.1 to 250.49.63.254250.49.63.255510
161250.49.64.0/23250.49.64.1 to 250.49.65.254250.49.65.255510
162250.49.66.0/23250.49.66.1 to 250.49.67.254250.49.67.255510
163250.49.68.0/23250.49.68.1 to 250.49.69.254250.49.69.255510
164250.49.70.0/23250.49.70.1 to 250.49.71.254250.49.71.255510
165250.49.72.0/23250.49.72.1 to 250.49.73.254250.49.73.255510
166250.49.74.0/23250.49.74.1 to 250.49.75.254250.49.75.255510
167250.49.76.0/23250.49.76.1 to 250.49.77.254250.49.77.255510
168250.49.78.0/23250.49.78.1 to 250.49.79.254250.49.79.255510
169250.49.80.0/23250.49.80.1 to 250.49.81.254250.49.81.255510
170250.49.82.0/23250.49.82.1 to 250.49.83.254250.49.83.255510
171250.49.84.0/23250.49.84.1 to 250.49.85.254250.49.85.255510
172250.49.86.0/23250.49.86.1 to 250.49.87.254250.49.87.255510
173250.49.88.0/23250.49.88.1 to 250.49.89.254250.49.89.255510
174250.49.90.0/23250.49.90.1 to 250.49.91.254250.49.91.255510
175250.49.92.0/23250.49.92.1 to 250.49.93.254250.49.93.255510
176250.49.94.0/23250.49.94.1 to 250.49.95.254250.49.95.255510
177250.49.96.0/23250.49.96.1 to 250.49.97.254250.49.97.255510
178250.49.98.0/23250.49.98.1 to 250.49.99.254250.49.99.255510
179250.49.100.0/23250.49.100.1 to 250.49.101.254250.49.101.255510
180250.49.102.0/23250.49.102.1 to 250.49.103.254250.49.103.255510
181250.49.104.0/23250.49.104.1 to 250.49.105.254250.49.105.255510
182250.49.106.0/23250.49.106.1 to 250.49.107.254250.49.107.255510
183250.49.108.0/23250.49.108.1 to 250.49.109.254250.49.109.255510
184250.49.110.0/23250.49.110.1 to 250.49.111.254250.49.111.255510
185250.49.112.0/23250.49.112.1 to 250.49.113.254250.49.113.255510
186250.49.114.0/23250.49.114.1 to 250.49.115.254250.49.115.255510
187250.49.116.0/23250.49.116.1 to 250.49.117.254250.49.117.255510
188250.49.118.0/23250.49.118.1 to 250.49.119.254250.49.119.255510
189250.49.120.0/23250.49.120.1 to 250.49.121.254250.49.121.255510
190250.49.122.0/23250.49.122.1 to 250.49.123.254250.49.123.255510
191250.49.124.0/23250.49.124.1 to 250.49.125.254250.49.125.255510
192250.49.126.0/23250.49.126.1 to 250.49.127.254250.49.127.255510
193250.49.128.0/23250.49.128.1 to 250.49.129.254250.49.129.255510
194250.49.130.0/23250.49.130.1 to 250.49.131.254250.49.131.255510
195250.49.132.0/23250.49.132.1 to 250.49.133.254250.49.133.255510
196250.49.134.0/23250.49.134.1 to 250.49.135.254250.49.135.255510
197250.49.136.0/23250.49.136.1 to 250.49.137.254250.49.137.255510
198250.49.138.0/23250.49.138.1 to 250.49.139.254250.49.139.255510
199250.49.140.0/23250.49.140.1 to 250.49.141.254250.49.141.255510
200250.49.142.0/23250.49.142.1 to 250.49.143.254250.49.143.255510
201250.49.144.0/23250.49.144.1 to 250.49.145.254250.49.145.255510
202250.49.146.0/23250.49.146.1 to 250.49.147.254250.49.147.255510
203250.49.148.0/23250.49.148.1 to 250.49.149.254250.49.149.255510
204250.49.150.0/23250.49.150.1 to 250.49.151.254250.49.151.255510
205250.49.152.0/23250.49.152.1 to 250.49.153.254250.49.153.255510
206250.49.154.0/23250.49.154.1 to 250.49.155.254250.49.155.255510
207250.49.156.0/23250.49.156.1 to 250.49.157.254250.49.157.255510
208250.49.158.0/23250.49.158.1 to 250.49.159.254250.49.159.255510
209250.49.160.0/23250.49.160.1 to 250.49.161.254250.49.161.255510
210250.49.162.0/23250.49.162.1 to 250.49.163.254250.49.163.255510
211250.49.164.0/23250.49.164.1 to 250.49.165.254250.49.165.255510
212250.49.166.0/23250.49.166.1 to 250.49.167.254250.49.167.255510
213250.49.168.0/23250.49.168.1 to 250.49.169.254250.49.169.255510
214250.49.170.0/23250.49.170.1 to 250.49.171.254250.49.171.255510
215250.49.172.0/23250.49.172.1 to 250.49.173.254250.49.173.255510
216250.49.174.0/23250.49.174.1 to 250.49.175.254250.49.175.255510
217250.49.176.0/23250.49.176.1 to 250.49.177.254250.49.177.255510
218250.49.178.0/23250.49.178.1 to 250.49.179.254250.49.179.255510
219250.49.180.0/23250.49.180.1 to 250.49.181.254250.49.181.255510
220250.49.182.0/23250.49.182.1 to 250.49.183.254250.49.183.255510
221250.49.184.0/23250.49.184.1 to 250.49.185.254250.49.185.255510
222250.49.186.0/23250.49.186.1 to 250.49.187.254250.49.187.255510
223250.49.188.0/23250.49.188.1 to 250.49.189.254250.49.189.255510
224250.49.190.0/23250.49.190.1 to 250.49.191.254250.49.191.255510
225250.49.192.0/23250.49.192.1 to 250.49.193.254250.49.193.255510
226250.49.194.0/23250.49.194.1 to 250.49.195.254250.49.195.255510
227250.49.196.0/23250.49.196.1 to 250.49.197.254250.49.197.255510
228250.49.198.0/23250.49.198.1 to 250.49.199.254250.49.199.255510
229250.49.200.0/23250.49.200.1 to 250.49.201.254250.49.201.255510
230250.49.202.0/23250.49.202.1 to 250.49.203.254250.49.203.255510
231250.49.204.0/23250.49.204.1 to 250.49.205.254250.49.205.255510
232250.49.206.0/23250.49.206.1 to 250.49.207.254250.49.207.255510
233250.49.208.0/23250.49.208.1 to 250.49.209.254250.49.209.255510
234250.49.210.0/23250.49.210.1 to 250.49.211.254250.49.211.255510
235250.49.212.0/23250.49.212.1 to 250.49.213.254250.49.213.255510
236250.49.214.0/23250.49.214.1 to 250.49.215.254250.49.215.255510
237250.49.216.0/23250.49.216.1 to 250.49.217.254250.49.217.255510
238250.49.218.0/23250.49.218.1 to 250.49.219.254250.49.219.255510
239250.49.220.0/23250.49.220.1 to 250.49.221.254250.49.221.255510
240250.49.222.0/23250.49.222.1 to 250.49.223.254250.49.223.255510
241250.49.224.0/23250.49.224.1 to 250.49.225.254250.49.225.255510
242250.49.226.0/23250.49.226.1 to 250.49.227.254250.49.227.255510
243250.49.228.0/23250.49.228.1 to 250.49.229.254250.49.229.255510
244250.49.230.0/23250.49.230.1 to 250.49.231.254250.49.231.255510
245250.49.232.0/23250.49.232.1 to 250.49.233.254250.49.233.255510
246250.49.234.0/23250.49.234.1 to 250.49.235.254250.49.235.255510
247250.49.236.0/23250.49.236.1 to 250.49.237.254250.49.237.255510
248250.49.238.0/23250.49.238.1 to 250.49.239.254250.49.239.255510
249250.49.240.0/23250.49.240.1 to 250.49.241.254250.49.241.255510
250250.49.242.0/23250.49.242.1 to 250.49.243.254250.49.243.255510
251250.49.244.0/23250.49.244.1 to 250.49.245.254250.49.245.255510
252250.49.246.0/23250.49.246.1 to 250.49.247.254250.49.247.255510
253250.49.248.0/23250.49.248.1 to 250.49.249.254250.49.249.255510
254250.49.250.0/23250.49.250.1 to 250.49.251.254250.49.251.255510
255250.49.252.0/23250.49.252.1 to 250.49.253.254250.49.253.255510
256250.49.254.0/23250.49.254.1 to 250.49.255.254250.49.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses